/**
Se consideră un text de maximum 255 de caractere.
Realizaţi un program care sortează alfabetic cuvintele din string,
păstrând separatorii pe același poziții pe care erau înainte de sortare.
 Se consideră cuvânt orice secvență formată din litere mari și mici.
Exemplu:
Pentru şirul de caractere
nu  am sosit!...spune alex se afişează:
alex  am nu!...sosit spune

O posibilă soluție este să separăm în "cuvinte" șirul dat,
considerând cuvinte atât secvențele formate din litere cât și
secvențele formate din nelitere.
Gen:
s[1]="nu"
s[2]="  "
s[3]="am"
s[4]=" "
s[5]="sosit"
s[6]="!..."
...
  Pe acesta îl sortăm apoi normal, selectând doar s[i]-urile care
încep cu o literă
*/
#include <iostream>
#include <cstring>
using namespace std;

int main()
{
    char s[256],cuv[256];
    int i,lc,n;
    cin.getline(s,256);
    n=strlen(s);
    cuv[0]=s[0];lc=1;
    for(i=1;i<=n;i++)
        if(isalpha(s[i]) && !isalpha(s[i-1]) ||
           !isalpha(s[i]) && isalpha(s[i-1]))
            {
                cuv[lc]=0;
                cout<<'|'<<cuv<<"|\n";
                cuv[0]=s[i];
                lc=1;
            }
        else
            cuv[lc++]=s[i];
    return 0;
}
